/*
 *  Copyright (C) 2007 Daniel Bessler <danielb@kiba-dock.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA.
 *
 *  Author : Daniel Bessler <danielb@kiba-dock.org>
*/

/**
 * KibaTitle displays text above KibaObject's.
 **/

#ifndef __KIBA_PRIVATE_H__
#define __KIBA_PRIVATE_H__

#include <kiba.h>
#include <kiba-win.h>
#include <kiba-prefs.h>


G_BEGIN_DECLS

gboolean kiba_add_dock_plugin (Kiba *kiba,
                               KibaWin *win,
                               const char *pluginPath);

gboolean kiba_add_general_plugin (const char *pluginPath);

KibaPlugin* kiba_get_plugin_for_id (Kiba *kiba,
                                    KibaPrefsFile *file,
                                    const char *id);

G_END_DECLS

#endif
